/** 
 *   get_point: Extraer los puntos de las coordenadas lat, lon
 *
 *   (c) Copyright 2010 Federico Bareilles <bareilles@gmail.com>,
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *   
 **/

#ifndef _GET_POINT_H
#define _GET_POINT_H

#include <time.h>
//#include <stdio.h>
//#include <unistd.h>

struct gp_param {
	struct tm *tm;
	int time_flag;
	int stop_range;
	int posangle_flag;
	int pix_num_flag;
	int pixel_grid;
	double r_lat;
	double r_lon;
	char *no_data;
	int no_data_out_flag;
};


int blob_find_pos(FILE *fp, struct blob *bl, struct gp_param *p,
		  double distance, double bearing); 

int blob_dump_pos(FILE *fp, struct blob *bl, struct gp_param *p,
		  double center_lat, double center_log);

#endif /* ifndef _GET_POINT_H */
