/** 
 *   blob: lectura escritura de los bloques <BLOB>..</BLOB> fuera del
 *   header xml
 *
 *   (c) Copyright 2010 Federico Bareilles <bareilles@gmail.com>,
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *   
 **/

#define _GNU_SOURCE

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//#include <stdint.h>
//#include <unistd.h>
#include <my_stdio.h>
#include <malloc.h>
#include <line_conf.h>

#include "radar.h"



/* <radarinfo alt="100.000000" lon="-60.539722" lat="-31.858334" id="PAR">
 */

int ri_set_pos_data( radar_info *ri, const char **val)
{
	int i;

	for (i=0; val[i] ; i+=2) {
		if ( strncmp(val[i], "alt", 3) == 0 ) {
			RI_GET_ALT(ri) = atof(val[i+1]);
		} else if ( strncmp(val[i], "lon", 3) == 0 ) {
			RI_GET_LON(ri) = atof(val[i+1]);
		} else
		if ( strncmp(val[i], "lat", 3) == 0 ) {
			RI_GET_LAT(ri) = atof(val[i+1]);
		} else if ( strncmp(val[i], "id", 2) == 0 ) {
			if ( RI_GET_ID(ri) != NULL) free(RI_GET_ID(ri));
			asprintf(&RI_GET_ID(ri),"%s", val[i+1]);
		}
	}
	

	return 0;
}

/* <scan name="VOL_240_ALL.vol" time="17:00:02" date="2009-11-13" > */

int ri_set_time_data( radar_info *ri, const char **val)
{
	int i;

	for (i=0; val[i] ; i+=2) {
		if ( strncmp(val[i], "time", 4) == 0 ) {
			strptime(val[i+1],"%T", &RI_GET_TM(ri));
		} else if ( strncmp(val[i], "date", 4) == 0 ) {
			strptime(val[i+1],"%Y-%m-%d", &RI_GET_TM(ri));
		}
	}
	RI_GET_TIME(ri)	= mktime(&RI_GET_TM(ri));
	PDBG("# %s", asctime(&RI_GET_TM(ri)));
	

	return 0;
}


radar_info *ri_make(void)
{
	radar_info *ri = (radar_info *) malloc(sizeof(radar_info));

	RI_GET_ID(ri) = NULL;

	return ri;
}

void ri_free(radar_info *ri)
{
	if (ri != NULL) {
		if (RI_GET_ID(ri) != NULL)
			free(RI_GET_ID(ri));
		free(ri);
	}

	return;
}
